DRM_ATOMIC_CONNECTOR(9)

NAME
drm_atomic_connectors_for_crtc - count number of connected outputs

SYNOPSIS

int drm_atomic_connectors_for_crtc(struct drm_atomic_state * state, struct drm_crtc * crtc);

ARGUMENTS

state
    atomic state

crtc
    DRM crtc

DESCRIPTION

This function counts all connectors which will be connected to crtc according to state. Useful to recompute the enable state for crtc.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT